Subject: Re: TG3 fix for slow switches (Was: TG3 driver failure on HP 16-way)

From: "Michael Chan" <[email-masked]>
Date: Tue, 31 May 2005 10:22:37 -0700

On Tue, 2005-05-31 at 08:38 -0700, Grant Grundler wrote:

> Michael,
> Peter bounced this email to me after we talked about issues he was
> having with the rx8620 (HP 16-way ia64, sx1000 chipset) "IOX Core LAN".
> It sounded like the same problem I tracked down with rx8620 IOX Core LAN
> in March.  Here is the summary :
> 
> | In May, 2004,  tg3 v3.4 changed how MAC_LED_CTRL (0x40c) was getting
> | programmed and how to determine what to program into LED_CTRL. The new
> | code trusted NIC_SRAM_DATA_CFG (0x00000b58) to indicate what to write
> | to LED_CTRL and MII EXT_CTRL registers. On "IOX Core Lan", SRAM was
> | saying MODE_MAC (0x0) and that doesn't work.
> 

Thanks Grant, I'll chase this down and find a solution to this problem.